Skip to content
Framework Docs

Get Pipeline Data Source Status

Deprecated
GET/api/v1/pipelines/{pipeline_id}/data-sources/{data_source_id}/status

Get the status of a data source for a pipeline.

Path ParametersExpand Collapse
pipeline_id: string
data_source_id: string
Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
ManagedIngestionStatusResponse object { status, deployment_date, effective_at, 2 more }
status: "CANCELLED" or "ERROR" or "IN_PROGRESS" or 3 more

Status of the ingestion.

One of the following:
"CANCELLED"
"ERROR"
"IN_PROGRESS"
"NOT_STARTED"
"PARTIAL_SUCCESS"
"SUCCESS"
deployment_date: optional string

Date of the deployment.

formatdate-time
effective_at: optional string

When the status is effective

formatdate-time
error: optional array of object { job_id, message, step }

List of errors that occurred during ingestion.

job_id: string

ID of the job that failed.

formatuuid
message: string

List of errors that occurred during ingestion.

step: "DATA_SOURCE" or "FILE_UPDATER" or "INGESTION" or 4 more

Name of the job that failed.

One of the following:
"DATA_SOURCE"
"FILE_UPDATER"
"INGESTION"
"MANAGED_INGESTION"
"METADATA_UPDATE"
"PARSE"
"TRANSFORM"
job_id: optional string

ID of the latest job.

formatuuid

Get Pipeline Data Source Status

curl https://api.cloud.llamaindex.ai/api/v1/pipelines/$PIPELINE_ID/data-sources/$DATA_SOURCE_ID/status \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "status": "CANCELLED",
  "deployment_date": "2019-12-27T18:11:19.117Z",
  "effective_at": "2019-12-27T18:11:19.117Z",
  "error": [
    {
      "job_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "message": "message",
      "step": "DATA_SOURCE"
    }
  ],
  "job_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
Returns Examples
{
  "status": "CANCELLED",
  "deployment_date": "2019-12-27T18:11:19.117Z",
  "effective_at": "2019-12-27T18:11:19.117Z",
  "error": [
    {
      "job_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "message": "message",
      "step": "DATA_SOURCE"
    }
  ],
  "job_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}